> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/publications/templates.md).

# Templates

Templates are the blueprints for publications. A template defines what is included in a publication, like headers, footers, table of contents and how the publication is presented visually.

You can add or update templates through [Publications](/pim3/reference/publications.md) > [Templates](/pim3/reference/publications/templates.md).

### Add a new template

1. Click "Add template" on Templates page
2. Set Type and Name
3. Click "Create template"

### Copy template

1. Click the "Copy"-icon of the template you wish to copy
2. Set Name and optionally External reference
3. Click "Copy template"

### Edit template

1. Click anywhere on the template you wish to edit
2. Modify the template [details](/pim3/reference/publications/templates/edit-template.md)
3. Click "Update template"

### Delete template

1. Click "Delete"-icon
2. Confirm delete

### Export template

Click the "Export"-icon of the template you wish to export.

### Import template

1. Click "Import template" on Templates page
2. Click "Choose file" in the appearing dialog
3. Choose the template you wish to import
4. Click "Import template"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/publications/templates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
